// PTZControlDlg.h : header file
//

#if !defined(AFX_PTZCONTROLDLG_H__0EBBD7D9_675D_4F88_8C2A_E2CB662A91D9__INCLUDED_)
#define AFX_PTZCONTROLDLG_H__0EBBD7D9_675D_4F88_8C2A_E2CB662A91D9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPTZControlDlg dialog
#include "../include/ProbeNetCtrlrDef.h"
#include "../include/ProbeNetCtrlrDll.h"


#define DEFAULT_ADDR		"192.168.1.80"
#define DEFAULT_CONTROL_PORT "7777"
#define DEFAULT_ID			"admin"
#define DEFAULT_PASSWD	    "admin"
#define DEFAULT_PTZ_SPEED   "500"

class CPTZControlDlg : public CDialog
{
private:
	HANDLE m_hConnection;

// Construction
public:
	CPTZControlDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPTZControlDlg)
	enum { IDD = IDD_PTZCONTROL_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPTZControlDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	void InitControls();
	void InitValues();
	void EndControls();
	WORD GetPTZSpeed();

	// Generated message map functions
	//{{AFX_MSG(CPTZControlDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonConnect();
	afx_msg void OnButtonDiscon();
	afx_msg void OnButtonClose();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defin(AFX_PTZCONTROLDLG_H__0EBBD7D9_675D_4F88_8C2A_E2CB662A91D9__INCLUDED_)
