/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// VideoSetupDlg.cpp : implementation file
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Include File
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "ProbeDemo.h"
#include "VideoSetupDlg.h"

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CVideoSetupDlg dialog

CVideoSetupDlg::CVideoSetupDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CVideoSetupDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CVideoSetupDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

CVideoSetupDlg::~CVideoSetupDlg()
{
	DestroyWindow();
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void CVideoSetupDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CVideoSetupDlg)
	DDX_Control(pDX, IDC_EXPLORER1, m_webBrowser);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CVideoSetupDlg, CDialog)
	//{{AFX_MSG_MAP(CVideoSetupDlg)
	ON_BN_CLICKED(IDC_BUTTON_VIDEO, OnButtonVideo)
	ON_BN_CLICKED(IDC_BUTTON_TCPIP, OnButtonTcpip)
	ON_BN_CLICKED(IDC_BUTTON_DDNS, OnButtonDdns)
	ON_BN_CLICKED(IDC_BUTTON_STATUS, OnButtonStatus)
	ON_BN_CLICKED(IDC_BUTTON_ALARMINPUT, OnButtonAlarminput)
	ON_BN_CLICKED(IDC_BUTTON_MD, OnButtonMd)
	ON_BN_CLICKED(IDC_BUTTON_SCHEDULE, OnButtonSchedule)
	ON_BN_CLICKED(IDC_BUTTON_TRANSFERSETUP, OnButtonTransfersetup)
	ON_BN_CLICKED(IDC_BUTTON_FTP, OnButtonFtp)
	ON_BN_CLICKED(IDC_BUTTON_SMTP, OnButtonSmtp)
	ON_BN_CLICKED(IDC_BUTTON_USERS, OnButtonUsers)
	ON_BN_CLICKED(IDC_BUTTON_DATETIME, OnButtonDatetime)
	ON_BN_CLICKED(IDC_BUTTON_FIRMWAREUPDATE, OnButtonFirmwareupdate)
	ON_BN_CLICKED(IDC_BUTTON_DEFAULTSET, OnButtonDefaultset)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// CVideoSetupDlg message handlers

void CVideoSetupDlg::OnButtonVideo() 
{
	// TODO: Add your control notification handler code here
	CString		m_strURL;
	m_strURL.Format( "http://%s:%s@%s/cgi-bin/admin/setup_basic_video.php", m_szUserID, m_szPasswd, m_szIP );

	if( m_webBrowser )
		m_webBrowser.Navigate( m_strURL, NULL, NULL, NULL, NULL );
	else
		AfxMessageBox( "Connecting Fail!" );

}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void CVideoSetupDlg::OnButtonTcpip() 
{
	// TODO: Add your control notification handler code here
	CString		m_strURL;
	m_strURL.Format( "http://%s:%s@%s/cgi-bin/admin/setup_network_tcp_ip.php", m_szUserID, m_szPasswd, m_szIP );
	if( m_webBrowser )
		m_webBrowser.Navigate( m_strURL, NULL, NULL, NULL, NULL );
	else
		AfxMessageBox( "Connecting Fail!" );
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void CVideoSetupDlg::OnButtonDdns() 
{
	// TODO: Add your control notification handler code here
	CString		m_strURL;
	m_strURL.Format( "http://%s:%s@%s/cgi-bin/admin/setup_network_ddns.php", m_szUserID, m_szPasswd, m_szIP );
	if( m_webBrowser )
		m_webBrowser.Navigate( m_strURL, NULL, NULL, NULL, NULL );
	else
		AfxMessageBox( "Connecting Fail!" );
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void CVideoSetupDlg::OnButtonStatus() 
{
	// TODO: Add your control notification handler code here
	CString		m_strURL;
	m_strURL.Format( "http://%s:%s@%s/cgi-bin/admin/setup_network_status.php", m_szUserID, m_szPasswd, m_szIP );
	if( m_webBrowser )
		m_webBrowser.Navigate( m_strURL, NULL, NULL, NULL, NULL );
	else
		AfxMessageBox( "Connecting Fail!" );
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void CVideoSetupDlg::OnButtonAlarminput() 
{
	// TODO: Add your control notification handler code here
	CString		m_strURL;
	m_strURL.Format( "http://%s:%s@%s/cgi-bin/admin/setup_event_alarm_input.php", m_szUserID, m_szPasswd, m_szIP );
	if( m_webBrowser )
		m_webBrowser.Navigate( m_strURL, NULL, NULL, NULL, NULL );
	else
		AfxMessageBox( "Connecting Fail!" );
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void CVideoSetupDlg::OnButtonMd() 
{
	// TODO: Add your control notification handler code here
	CString		m_strURL;
	m_strURL.Format( "http://%s:%s@%s/cgi-bin/admin/setup_event_motion_detection.php", m_szUserID, m_szPasswd, m_szIP );
	if( m_webBrowser )
		m_webBrowser.Navigate( m_strURL, NULL, NULL, NULL, NULL );
	else
		AfxMessageBox( "Connecting Fail!" );
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void CVideoSetupDlg::OnButtonSchedule() 
{
	// TODO: Add your control notification handler code here
	CString		m_strURL;
	m_strURL.Format( "http://%s:%s@%s/cgi-bin/admin/setup_event_schedule.php", m_szUserID, m_szPasswd, m_szIP );
	if( m_webBrowser )
		m_webBrowser.Navigate( m_strURL, NULL, NULL, NULL, NULL );
	else
		AfxMessageBox( "Connecting Fail!" );
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void CVideoSetupDlg::OnButtonTransfersetup() 
{
	// TODO: Add your control notification handler code here
	CString		m_strURL;
	m_strURL.Format( "http://%s:%s@%s/cgi-bin/admin/setup_transfer_transfer_setup.php", m_szUserID, m_szPasswd, m_szIP );
	if( m_webBrowser )
		m_webBrowser.Navigate( m_strURL, NULL, NULL, NULL, NULL );
	else
		AfxMessageBox( "Connecting Fail!" );
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void CVideoSetupDlg::OnButtonFtp() 
{
	// TODO: Add your control notification handler code here
	CString		m_strURL;
	m_strURL.Format( "http://%s:%s@%s/cgi-bin/admin/setup_transfer_ftp.php", m_szUserID, m_szPasswd, m_szIP );
	if( m_webBrowser )
		m_webBrowser.Navigate( m_strURL, NULL, NULL, NULL, NULL );
	else
		AfxMessageBox( "Connecting Fail!" );
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void CVideoSetupDlg::OnButtonSmtp() 
{
	// TODO: Add your control notification handler code here
	CString		m_strURL;
	m_strURL.Format( "http://%s:%s@%s/cgi-bin/admin/setup_transfer_smtp.php", m_szUserID, m_szPasswd, m_szIP );
	if( m_webBrowser )
		m_webBrowser.Navigate( m_strURL, NULL, NULL, NULL, NULL );
	else
		AfxMessageBox( "Connecting Fail!" );
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void CVideoSetupDlg::OnButtonUsers() 
{
	// TODO: Add your control notification handler code here
	CString		m_strURL;
	m_strURL.Format( "http://%s:%s@%s/cgi-bin/admin/setup_system_users.php", m_szUserID, m_szPasswd, m_szIP );
	if( m_webBrowser )
		m_webBrowser.Navigate( m_strURL, NULL, NULL, NULL, NULL );
	else
		AfxMessageBox( "Connecting Fail!" );
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void CVideoSetupDlg::OnButtonDatetime() 
{
	// TODO: Add your control notification handler code here
	CString		m_strURL;
	m_strURL.Format( "http://%s:%s@%s/cgi-bin/admin/setup_system_date_time.php", m_szUserID, m_szPasswd, m_szIP );
	if( m_webBrowser )
		m_webBrowser.Navigate( m_strURL, NULL, NULL, NULL, NULL );
	else
		AfxMessageBox( "Connecting Fail!" );
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void CVideoSetupDlg::OnButtonFirmwareupdate() 
{
	// TODO: Add your control notification handler code here
	CString		m_strURL;
	m_strURL.Format( "http://%s:%s@%s/cgi-bin/admin/setup_system_firmware_update.cgi", m_szUserID, m_szPasswd, m_szIP );
	if( m_webBrowser )
		m_webBrowser.Navigate( m_strURL, NULL, NULL, NULL, NULL );
	else
		AfxMessageBox( "Connecting Fail!" );
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void CVideoSetupDlg::OnButtonDefaultset() 
{
	// TODO: Add your control notification handler code here
	CString		m_strURL;
	m_strURL.Format( "http://%s:%s@%s/cgi-bin/admin/setup_system_default_set.php", m_szUserID, m_szPasswd, m_szIP );
	if( m_webBrowser )
		m_webBrowser.Navigate( m_strURL, NULL, NULL, NULL, NULL );
	else
		AfxMessageBox( "Connecting Fail!" );
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void CVideoSetupDlg::Init()
{
	OnButtonVideo();
	ShowWindow( SW_SHOW );
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void CVideoSetupDlg::SetLoginInfo( char *szAddr, char *szUserID, char *szPasswd )
{
	wsprintf( m_szIP, szAddr );
	wsprintf( m_szUserID, szUserID );
	wsprintf( m_szPasswd, szPasswd );
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
