// TwowayControlDlg.h : header file
//

#if !defined(AFX_TWOWAYCONTROLDLG_H__2C283D68_67C7_405F_B413_C02C4B169021__INCLUDED_)
#define AFX_TWOWAYCONTROLDLG_H__2C283D68_67C7_405F_B413_C02C4B169021__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTwowayControlDlg dialog

#include "../include/ProbeNetCtrlrDef.h"
#include "../include/ProbeNetCtrlrDll.h"
#include "../include/AudCoderDLL.h"

#define DEFAULT_ADDR			"192.168.1.80"
#define DEFAULT_CONTROL_PORT	"7777"
#define DEFAULT_VIDEO_PORT		"7778"
#define DEFAULT_AUDIO_PORT		"7779"
#define DEFAULT_AUDIOOUT_PORT	"7780"
#define DEFAULT_ID				"admin"
#define DEFAULT_PASSWD			"admin"



#include "WaveInUtil.h"


class CTwowayControlDlg : public CDialog
{
private:
	HANDLE			m_hConnection;
	HANDLE			m_hAudEnc;
	CWaveInUtil	   *m_pWaveIn;
	AUDIO_DATA_PACK *m_lpData;
	BYTE            *m_pSendDataBuf;
	DWORD           m_dwFrameNum;
// Construction
public:
	static HRESULT GetCaptureData(LPBYTE lpCapBuf, DWORD dwSize, LPVOID lpData);
	void OnCaptureData(LPBYTE lpCapBuf, DWORD dwSize);
	static void _ON_ERROR(HANDLE hCallback, int nErrorCode);
	void ON_ERROR(int nErrorCode);

	CTwowayControlDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTwowayControlDlg)
	enum { IDD = IDD_TWOWAYCONTROL_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTwowayControlDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	void InitControls();
	void InitValues();
	void EndControls();

	// Generated message map functions
	//{{AFX_MSG(CTwowayControlDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonConnect();
	afx_msg void OnButtonDiscon();
	afx_msg void OnButtonClose();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TWOWAYCONTROLDLG_H__2C283D68_67C7_405F_B413_C02C4B169021__INCLUDED_)
