// AudCoderDLL.h: interface for the AudCoderDLL class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AUDCODERDLL_H__91C93594_C5FD_4DF5_AEC6_F293D398CDCA__INCLUDED_)
#define AFX_AUDCODERDLL_H__91C93594_C5FD_4DF5_AEC6_F293D398CDCA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#ifdef _AUDCODER_DLL_
#define API_AUDCODER extern "C" __declspec(dllexport)
#else
	#define API_AUDCODER extern "C" __declspec(dllimport)
	
	#ifdef _DEBUG
		#pragma comment(lib, "../libd/AudCoder.lib")
		#pragma message("Automatically linking with ../libd/AudCoder.lib")
	#else
		#pragma comment(lib, "../lib/AudCoder.lib")
		#pragma message("Automatically linking with ../lib/AudCoder.lib")
	#endif
	
#endif

	API_AUDCODER   HANDLE AUDG711DECODER_INIT();
	API_AUDCODER   BOOL   AUDG711DECODER_DECODE(HANDLE handle, char *pInputData, DWORD dwInputBytes, char *lpOutBuf, DWORD &dwOutBytes); 
	API_AUDCODER   void   AUDG711DECODER_END(HANDLE handle);

	API_AUDCODER   HANDLE AUDG711ENCODER_INIT();
	API_AUDCODER   BOOL   AUDG711ENCODER_ENCODE(HANDLE handle, char *pInputData, DWORD dwInputBytes, char *lpOutBuf, DWORD &dwOutBytes); 
	API_AUDCODER   void   AUDG711ENCODER_END(HANDLE handle);


	API_AUDCODER   HANDLE AUDDECODER_INIT();
	API_AUDCODER   BOOL   AUDDECODER_DECODE(HANDLE handle, char *pInputData, DWORD dwInputBytes, char *lpOutBuf, DWORD &dwOutBytes);
	API_AUDCODER   void   AUDDECODER_END(HANDLE handle);


	API_AUDCODER   HANDLE AUDENCODER_INIT();
	API_AUDCODER   BOOL   AUDENCODER_ENCODE(HANDLE handle, char *pInputData, DWORD dwInputBytes, char *lpOutBuf, DWORD &dwOutBytes);
	API_AUDCODER   void   AUDENCODER_END(HANDLE handle);


	API_AUDCODER   HANDLE AUDADPCMDECODER_INIT();
	// AUDADPCMDECODER_DECODE    
	// nType 1:8bit mono 2:16bit stereo;     
	// bFMonoOut  TRUE:8bit mono, FALSE:8bit stereo
	API_AUDCODER   BOOL   AUDADPCMDECODER_DECODE(HANDLE handle, char *pInputData, DWORD dwInputBytes, char *lpOutBuf, DWORD &dwOutBytes,int nType,BOOL bFMonoOut); 
	API_AUDCODER   void   AUDADPCMDECODER_END(HANDLE handle);


	API_AUDCODER   HANDLE AUDADPCMENCODER_INIT();
	// AUDADPCMENCODER_ENCODE
	// input  16bit stereo
	// output 16bit stereo
	API_AUDCODER   BOOL   AUDADPCMENCODER_ENCODE(HANDLE handle, char *pInputData, DWORD dwInputBytes, char *lpOutBuf, DWORD &dwOutBytes); 
	API_AUDCODER   void   AUDADPCMENCODER_END(HANDLE handle);

	API_AUDCODER   HANDLE AUDG723DECODER_INIT();
	API_AUDCODER   BOOL   AUDG723DECODER_DECODE(HANDLE handle, char *pInputData, DWORD dwInputBytes, char *lpOutBuf, DWORD &dwOutBytes); 
	API_AUDCODER   void   AUDG723DECODER_END(HANDLE handle);

	API_AUDCODER   HANDLE AUDG723ENCODER_INIT();
	API_AUDCODER   BOOL   AUDG723ENCODER_ENCODE(HANDLE handle, char *pInputData, DWORD dwInputBytes, char *lpOutBuf, DWORD &dwOutBytes); 
	API_AUDCODER   void   AUDG723ENCODER_END(HANDLE handle);


#endif // !defined(AFX_AUDCODERDLL_H__91C93594_C5FD_4DF5_AEC6_F293D398CDCA__INCLUDED_)
