#pragma once


#define CODECINDEX_MJPEG		8
#define CODECINDEX_MPEG4		13
#define CODECINDEX_MSMPEG4V1	15
#define CODECINDEX_MSMPEG4V2	16
#define CODECINDEX_MSMPEG4V3	17
#define CODECINDEX_WMV1			18
#define CODECINDEX_WMV2			19
#define CODECINDEX_H264			28
#define CODECINDEX_XVID			63


#define PIXELFMT_YUV422			1
#define PIXELFMT_RGB24			2


#ifdef _MPCODEC_DLL_
	#define API_MPCODEC extern "C" __declspec(dllexport)
#else
	#define API_MPCODEC extern "C" __declspec(dllimport)
	
	#ifdef _DEBUG
		#pragma comment(lib, "../libd/MPCodec.lib")
		#pragma message("Automatically linking with ../libd/MPCodec.lib")
	#else
		#pragma comment(lib, "../lib/MPCodec.lib")
		#pragma message("Automatically linking with ../lib/MPCodec.lib")
	#endif
	
#endif

	API_MPCODEC   HANDLE _MPCODEC_DEC_INIT(DWORD dwCodecId, BOOL deinterlacemode=FALSE);
	API_MPCODEC   BOOL   _MPCODEC_DEC_DECODE(HANDLE handle, char *pInputData, DWORD dwInputBytes, char *lpOutBuf, DWORD *lpdwWidth, DWORD *lpdwHeight, DWORD *lpdwFmtType);
	API_MPCODEC   void   _MPCODEC_DEC_END(HANDLE handle);
