// PTZControlDlg.cpp : implementation file
//

#include "stdafx.h"
#include "PTZControl.h"
#include "PTZControlDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPTZControlDlg dialog

CPTZControlDlg::CPTZControlDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPTZControlDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPTZControlDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);

	m_hConnection = NULL;
}

void CPTZControlDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPTZControlDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CPTZControlDlg, CDialog)
	//{{AFX_MSG_MAP(CPTZControlDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON_CONNECT, OnButtonConnect)
	ON_BN_CLICKED(IDC_BUTTON_DISCON, OnButtonDiscon)
	ON_BN_CLICKED(IDC_BUTTON_CLOSE, OnButtonClose)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPTZControlDlg message handlers

BOOL CPTZControlDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	InitControls();
	InitValues();
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CPTZControlDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CPTZControlDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CPTZControlDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

BOOL CPTZControlDlg::PreTranslateMessage(MSG* pMsg) 
{
	// TODO: Add your specialized code here and/or call the base class
	if(pMsg->message==WM_LBUTTONDOWN)
	{
		if(pMsg->hwnd == GetDlgItem(IDC_BUTTON_LU)->GetSafeHwnd()) 
		{
			::SetCapture(pMsg->hwnd);
			// PTZ ARROW CONTROL : LEFT UP
			if(m_hConnection)
			{
				WORD  wPTZSpeed = GetPTZSpeed();
				BYTE  Param[10];
				DWORD dwParamSize=0;
				
				Param[0]	= PTZ_MRU;
				Param[1]	= (BYTE)(wPTZSpeed & 0xFF);
				Param[2]    = (BYTE)(wPTZSpeed >> 8);
				dwParamSize = sizeof(BYTE)*3;
				_PROBENET_CONNECTION_SENDCOMMAND(m_hConnection, PTZ_COMMAND_CODE, Param, dwParamSize);
			}
		}
		else if(pMsg->hwnd == GetDlgItem(IDC_BUTTON_UP)->GetSafeHwnd()){
			::SetCapture(pMsg->hwnd);
			// PTZ ARROW CONTROL : UP
			if(m_hConnection)
			{
				WORD  wPTZSpeed = GetPTZSpeed();
				BYTE  Param[10];
				DWORD dwParamSize=0;
				
				Param[0]	= PTZ_PTU;
				Param[1]	= (BYTE)(wPTZSpeed & 0xFF);
				Param[2]    = (BYTE)(wPTZSpeed >> 8);
				dwParamSize = sizeof(BYTE)*3;
				_PROBENET_CONNECTION_SENDCOMMAND(m_hConnection, PTZ_COMMAND_CODE, Param, dwParamSize);
			}
		}
		else if(pMsg->hwnd == GetDlgItem(IDC_BUTTON_RU)->GetSafeHwnd()){
			::SetCapture(pMsg->hwnd);
			// PTZ ARROW CONTROL : RIGHT UP
			if(m_hConnection)
			{
				WORD  wPTZSpeed = GetPTZSpeed();
				BYTE  Param[10];
				DWORD dwParamSize=0;
				
				Param[0]	= PTZ_MRU;
				Param[1]	= (BYTE)(wPTZSpeed & 0xFF);
				Param[2]    = (BYTE)(wPTZSpeed >> 8);
				dwParamSize = sizeof(BYTE)*3;
				_PROBENET_CONNECTION_SENDCOMMAND(m_hConnection, PTZ_COMMAND_CODE, Param, dwParamSize);
			}
		}
		else if(pMsg->hwnd == GetDlgItem(IDC_BUTTON_LT)->GetSafeHwnd()){
			::SetCapture(pMsg->hwnd);
			// PTZ ARROW CONTROL : LEFT
			if(m_hConnection)
			{
				WORD  wPTZSpeed = GetPTZSpeed();
				BYTE  Param[10];
				DWORD dwParamSize=0;
				
				Param[0]	= PTZ_PTL;
				Param[1]	= (BYTE)(wPTZSpeed & 0xFF);
				Param[2]    = (BYTE)(wPTZSpeed >> 8);
				dwParamSize = sizeof(BYTE)*3;
				_PROBENET_CONNECTION_SENDCOMMAND(m_hConnection, PTZ_COMMAND_CODE, Param, dwParamSize);
			}
		}
		else if(pMsg->hwnd == GetDlgItem(IDC_BUTTON_RT)->GetSafeHwnd()){
			::SetCapture(pMsg->hwnd);
			// PTZ ARROW CONTROL : RIGHT
			if(m_hConnection)
			{
				WORD  wPTZSpeed = GetPTZSpeed();
				BYTE  Param[10];
				DWORD dwParamSize=0;
				
				Param[0]	= PTZ_PTR;
				Param[1]	= (BYTE)(wPTZSpeed & 0xFF);
				Param[2]    = (BYTE)(wPTZSpeed >> 8);
				dwParamSize = sizeof(BYTE)*3;
				_PROBENET_CONNECTION_SENDCOMMAND(m_hConnection, PTZ_COMMAND_CODE, Param, dwParamSize);
			}	
		}
		else if(pMsg->hwnd == GetDlgItem(IDC_BUTTON_LD)->GetSafeHwnd()){
			::SetCapture(pMsg->hwnd);
			// PTZ ARROW CONTROL : LEFT DOWN
			if(m_hConnection)
			{
				WORD  wPTZSpeed = GetPTZSpeed();
				BYTE  Param[10];
				DWORD dwParamSize=0;
				
				Param[0]	= PTZ_MLD;
				Param[1]	= (BYTE)(wPTZSpeed & 0xFF);
				Param[2]    = (BYTE)(wPTZSpeed >> 8);
				dwParamSize = sizeof(BYTE)*3;
				_PROBENET_CONNECTION_SENDCOMMAND(m_hConnection, PTZ_COMMAND_CODE, Param, dwParamSize);
			}
		}
		else if(pMsg->hwnd == GetDlgItem(IDC_BUTTON_DN)->GetSafeHwnd()){
			::SetCapture(pMsg->hwnd);
			// PTZ ARROW CONTROL : DOWN
			if(m_hConnection)
			{
				WORD  wPTZSpeed = GetPTZSpeed();
				BYTE  Param[10];
				DWORD dwParamSize=0;
				
				Param[0]	= PTZ_PTD;
				Param[1]	= (BYTE)(wPTZSpeed & 0xFF);
				Param[2]    = (BYTE)(wPTZSpeed >> 8);
				dwParamSize = sizeof(BYTE)*3;
				_PROBENET_CONNECTION_SENDCOMMAND(m_hConnection, PTZ_COMMAND_CODE, Param, dwParamSize);
			}
		}
		else if(pMsg->hwnd == GetDlgItem(IDC_BUTTON_RD)->GetSafeHwnd()){
			::SetCapture(pMsg->hwnd);
			// PTZ ARROW CONTROL : RIGHT DOWN
			if(m_hConnection)
			{
				WORD  wPTZSpeed = GetPTZSpeed();
				BYTE  Param[10];
				DWORD dwParamSize=0;
				
				Param[0]	= PTZ_MRD;
				Param[1]	= (BYTE)(wPTZSpeed & 0xFF);
				Param[2]    = (BYTE)(wPTZSpeed >> 8);
				dwParamSize = sizeof(BYTE)*3;
				_PROBENET_CONNECTION_SENDCOMMAND(m_hConnection, PTZ_COMMAND_CODE, Param, dwParamSize);
			}
		}
		else if(pMsg->hwnd == GetDlgItem(IDC_BUTTON_ZOOMIN)->GetSafeHwnd()){
			::SetCapture(pMsg->hwnd);
			// ZOOM CONTROL : zoom near
			if(m_hConnection)
			{
				BYTE  Param[10];
				DWORD dwParamSize=0;

				Param[0]	= PTZ_ZMT;
				dwParamSize = sizeof(BYTE);
				_PROBENET_CONNECTION_SENDCOMMAND(m_hConnection, PTZ_COMMAND_CODE, Param, dwParamSize);
			}
		}
		else if(pMsg->hwnd == GetDlgItem(IDC_BUTTON_ZOOMOUT)->GetSafeHwnd()){
			::SetCapture(pMsg->hwnd);
			// ZOOM CONTROL : zoom far
			if(m_hConnection)
			{
				BYTE  Param[10];
				DWORD dwParamSize=0;

				Param[0]	= PTZ_ZMW;
				dwParamSize = sizeof(BYTE);
				_PROBENET_CONNECTION_SENDCOMMAND(m_hConnection, PTZ_COMMAND_CODE, Param, dwParamSize);
			}
		}
		else if(pMsg->hwnd == GetDlgItem(IDC_BUTTON_FOCUSIN)->GetSafeHwnd()){
			::SetCapture(pMsg->hwnd);
			// FOCUS CONTROL : focus in
			if(m_hConnection)
			{
				BYTE  Param[10];
				DWORD dwParamSize=0;
				
				Param[0]	= PTZ_FON;
				dwParamSize = sizeof(BYTE);
				_PROBENET_CONNECTION_SENDCOMMAND(m_hConnection, PTZ_COMMAND_CODE, Param, dwParamSize);
			}
		}
		else if(pMsg->hwnd == GetDlgItem(IDC_BUTTON_FOCUSOUT)->GetSafeHwnd()){
			::SetCapture(pMsg->hwnd);
			// FOCUS CONTROL : focus out
			if(m_hConnection)
			{
				BYTE  Param[10];
				DWORD dwParamSize=0;
				
				Param[0]	= PTZ_FOF;
				dwParamSize = sizeof(BYTE);
				_PROBENET_CONNECTION_SENDCOMMAND(m_hConnection, PTZ_COMMAND_CODE, Param, dwParamSize);
			}
		}

	}
	else if(pMsg->message==WM_LBUTTONUP)
	{
		if((pMsg->hwnd == GetDlgItem(IDC_BUTTON_LU)->GetSafeHwnd()) ||
		(pMsg->hwnd == GetDlgItem(IDC_BUTTON_UP)->GetSafeHwnd()) ||
		(pMsg->hwnd == GetDlgItem(IDC_BUTTON_RU)->GetSafeHwnd()) ||
		(pMsg->hwnd == GetDlgItem(IDC_BUTTON_LT)->GetSafeHwnd()) ||
		(pMsg->hwnd == GetDlgItem(IDC_BUTTON_RT)->GetSafeHwnd()) ||
		(pMsg->hwnd == GetDlgItem(IDC_BUTTON_LD)->GetSafeHwnd()) ||
		(pMsg->hwnd == GetDlgItem(IDC_BUTTON_DN)->GetSafeHwnd()) ||
		(pMsg->hwnd == GetDlgItem(IDC_BUTTON_RD)->GetSafeHwnd()) )
		{
			::ReleaseCapture();
			// PTZ Arrow control stop
			if(m_hConnection)
			{
				BYTE  Param[1];
				DWORD dwParamSize=0;
				Param[0]	= PTZ_STU;
				dwParamSize = sizeof(BYTE);
				_PROBENET_CONNECTION_SENDCOMMAND(m_hConnection, PTZ_COMMAND_CODE, Param, dwParamSize);
			}
		}
		else if(pMsg->hwnd == GetDlgItem(IDC_BUTTON_ZOOMIN)->GetSafeHwnd() ||
			pMsg->hwnd == GetDlgItem(IDC_BUTTON_ZOOMOUT)->GetSafeHwnd()){
			::ReleaseCapture();
			// ZOOM control stop
			if(m_hConnection)
			{
				BYTE  Param[10];
				DWORD dwParamSize=0;
				
				Param[0]	= PTZ_STT;
				dwParamSize = sizeof(BYTE);
				_PROBENET_CONNECTION_SENDCOMMAND(m_hConnection, PTZ_COMMAND_CODE, Param, dwParamSize);
			}
		}
		else if(pMsg->hwnd == GetDlgItem(IDC_BUTTON_FOCUSIN)->GetSafeHwnd() ||
			pMsg->hwnd == GetDlgItem(IDC_BUTTON_FOCUSOUT)->GetSafeHwnd()){
			::ReleaseCapture();
			// FOCUS control stop
			if(m_hConnection)
			{
				BYTE  Param[10];
				DWORD dwParamSize=0;
				
				Param[0]	= PTZ_STF;
				dwParamSize = sizeof(BYTE);
				_PROBENET_CONNECTION_SENDCOMMAND(m_hConnection, PTZ_COMMAND_CODE, Param, dwParamSize);
			}
		}
	}		
	return CDialog::PreTranslateMessage(pMsg);
}
void CPTZControlDlg::InitControls()
{
	// Initialize SDK
	_PROBENET_INIT();
	
}
void CPTZControlDlg::EndControls()
{
	// Delete Connection Instance.
	if(m_hConnection)
	{
		_PROBENET_CONNECTION_END(m_hConnection);
		m_hConnection = NULL;
	}
	// Finalize SDK
	_PROBENET_END();
}
void CPTZControlDlg::InitValues()
{
	GetDlgItem(IDC_EDIT_ADDR)->SetWindowText(DEFAULT_ADDR);
	GetDlgItem(IDC_EDIT_PORT)->SetWindowText(DEFAULT_CONTROL_PORT);
	GetDlgItem(IDC_EDIT_ID)->SetWindowText(DEFAULT_ID);
	GetDlgItem(IDC_EDIT_PASSWD)->SetWindowText(DEFAULT_PASSWD);

	GetDlgItem(IDC_EDIT_SPEED)->SetWindowText(DEFAULT_PTZ_SPEED);
}
WORD CPTZControlDlg::GetPTZSpeed()
{
	char szTemp[256];
	GetDlgItem(IDC_EDIT_SPEED)->GetWindowText(szTemp, sizeof(szTemp));
	int nResult = atoi(szTemp);
	if(nResult < 1)
		nResult = 1;
	if(nResult > 1000)
		nResult = 1000;
	return (WORD)nResult;
}

void CPTZControlDlg::OnButtonConnect() 
{
	// TODO: Add your control notification handler code here
	if(m_hConnection)
	{
		_PROBENET_CONNECTION_DISCONNECT(m_hConnection, _CONTROL_SOCK);
		_PROBENET_CONNECTION_END(m_hConnection);
		m_hConnection = NULL;
	}	
	char szAddr[255];
	char szControlPort[255];
	char szUserId[255];
	char szPasswd[255];
	
	GetDlgItem(IDC_EDIT_ADDR)->GetWindowText(szAddr, sizeof(szAddr));
	GetDlgItem(IDC_EDIT_PORT)->GetWindowText(szControlPort, sizeof(szControlPort));
	GetDlgItem(IDC_EDIT_ID)->GetWindowText(szUserId, sizeof(szUserId));
	GetDlgItem(IDC_EDIT_PASSWD)->GetWindowText(szPasswd, sizeof(szPasswd));	

	CONNECTION_INFO ConnectionInfo;
	DWORD dwMaskCreatingSocks = _CONTROL_SOCK;
	memset(&ConnectionInfo, 0, sizeof(ConnectionInfo));
	lstrcpy(ConnectionInfo.m_szAddress, szAddr);
	lstrcpy(ConnectionInfo.m_szUserId, szUserId);
	lstrcpy(ConnectionInfo.m_szPassWd, szPasswd);
	ConnectionInfo.m_wControlPort	= (WORD)atoi(szControlPort);
	ConnectionInfo.m_wVideoPort		= 0;
	ConnectionInfo.m_wAudioPort		= 0;

	m_hConnection = _PROBENET_CONNECTION_INIT(&ConnectionInfo, dwMaskCreatingSocks);
	if(m_hConnection)
	{
		_PROBENET_CONNECTION_CONNECT(m_hConnection, _CONTROL_SOCK);
		// the same expression : _PROBENET_CTRL_CONNECT(m_hConnection);
	}
}

void CPTZControlDlg::OnButtonDiscon() 
{
	// TODO: Add your control notification handler code here
	if(m_hConnection)
	{
		_PROBENET_CONNECTION_DISCONNECT(m_hConnection, _CONTROL_SOCK);
		// the same expression : _PROBENET_CTRL_DISCONNECT(m_hConnection);
	}	
}

void CPTZControlDlg::OnButtonClose() 
{
	// TODO: Add your control notification handler code here
	if(m_hConnection)
	{
		_PROBENET_CONNECTION_DISCONNECT(m_hConnection, _CONTROL_SOCK);
		// the same expression : _PROBENET_CTRL_DISCONNECT(m_hConnection);
	}	
	
	EndDialog(IDOK);	
}

void CPTZControlDlg::OnDestroy() 
{
	CDialog::OnDestroy();
	
	// TODO: Add your message handler code here
	EndControls();
}
